package main

import "git.jpi.io/amery/jpictl/pkg/cluster"

// Config describes the repository
type Config struct {
	Base   string
	Domain string
}

var cfg = &Config{
	Base:   "m",
	Domain: "jpi.cloud",
}

// LoadZones loads all zones and machines in the config directory
func (cfg *Config) LoadZones(resolve bool) (*cluster.Cluster, error) {
	return cluster.NewFromDirectory(cfg.Base, cfg.Domain,
		cluster.ResolvePublicAddresses(resolve),
		cluster.WithLogger(log),
	)
}
